Проблемы, связанные с внезапностью релиза джейлбрейка iOS 7, постепенно решаются. Создатель и администратор Cydia Джей Фримен (Saurik) сказал, что в настоящее время вовсю идет работа над обновлением MobileSubstrate. MobileSubstrate – основной пакет для модификации кода, который используется большинством джейлбрейк-твиков. В настоящее время он поддерживает только 32-разрядную архитектуру. Именно поэтому у владельцев устройств на 64-разрядных процессорах А7 (iPhone 5s, iPad Air и iPad Mini Retina) возникают проблемы с использованием многих твиков. После выхода обновления создателям твиков нужно будет перекомпилировать свои программы, тогда устройства на процессорах А7 наконец-то получат полную поддержку.

Пока обновление не выпущено (обещается в ближайшее время) Saurik призвал не пользоваться неофициальными патчами для MobileSubstrate. Если вы делали джейлбрейк при помощи обновленной evasi0n7 1.0.1, то эти неофициальные патчи действительно могут работать, но тем не менее Saurik рекомендовал немного подождать релиза официальной версии. Похоже, что evasi0n7 1.0.1 все-таки содержит какие-то изменения помимо удаления скандального TaiG. Джей Фримен сказал, что он получил от Evad3rs необходимую информацию о новых функциях джейлбрейк-утилиты и теперь его задерживают только рождественские праздники. Обновление MobileSubstrate станет следующим шагом в адаптации Cydia к iOS 7 после недавнего значительного редизайна.

[iclarified, idownloadblog]

Сергей Ковыршин

Психолог по образованию, it-шник по интересам, журналист по случаю.

Материалы

Нашел ошибку в тексте? Выдели ее и нажми Ctrl + Enter
  • Infected Patison

    Зачем оно все на 7.0.4, когда на носу 7.1 и судя по всему дыру, наверно, прикроют. ни слова об этом

    • MaksymPS

      Ну как сказать на носу :)
      Не раньше февраля точно)

      • Infected Patison

        Куку больше времени латать

  • Louis Samolinoff

    ipad 2 wifi так и не поправили. сижу как дурак без джейла и на 7 ios :(

  • ICJI

    У меня на 4ке твики не работают

  • Infected Patison

    Вы наверно плохо знакомы с историей джейлбрейка) и вам много чего незвестно. Неважно когда выйдет 7.1. Эксплойт попадает прямиком в руки эпл и первым делом они будут решать «дырявость» будущей прошивки.Они не просто так деражат закрытую ось с 2007 года. Ничего не мешает и на ios 6 оставаться, если вы пользователь старых девайсов, но таких все меньше и апстор не простит вам, динозавру, этого) Джейлбрейк будет всегда камнем преткновения, покуда ось будет изолирована. Для некоторых это принципиальный вопрос, для других возможность модификации, а третьи ищут халявы. И ничего из этого не устраивает эпл)

    • Serserkov

      Те, для кого важен джейл, останутся на 7.0.4 и им нужно это обновление. Если дыру прикроют хакеры возьмутся за взлом 7.1 и когда взломают — все равно будет нужно это обновление. Сейчас это обновление нужно вообще всем владельцам взломанных устройств на чипах А7.